Subject: Re: linux-next: build warning after merge of the regulator tree

From: Mark Brown <[email-masked]>
Date: Mon, 18 Apr 2016 10:15:23 +0100

On Mon, Apr 18, 2016 at 01:43:51PM +1000, Stephen Rothwell wrote:

> In the future, please fix up all the current users of an interface
> *before* marking it deprecated.  All these extra warnings just muddy the
> "real" warnings ...

Ideally but sadly all the issues are in the graphics stack and while
they seem relatively responsive to build issues there seems to be some
strange way of working there which means that getting changes integrated
or responses when issues like this come up has always been extremely
difficult and unfortunately cut'n'paste also seems to be quite common
(most of these look like they came from one place) so something to try
to at least give people pause for thought when they introduce new
issues seems sensible.

I really wish I could figure out what's going on there.